aboutsummaryrefslogtreecommitdiffstats
path: root/main/py-sphinx/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2015-10-01 17:40:50 +0200
committerCarlo Landmeter <clandmeter@gmail.com>2015-10-01 17:41:08 +0200
commitb6c98c5a24d067fd11a7e9f2329bca8835bf1e1f (patch)
tree3d8c5733ebd95cd51ecc3e47bb4371a002daaeea /main/py-sphinx/APKBUILD
parentc7873546fa5523f12a5c08d66ef62f8e319a89e8 (diff)
downloadaports-b6c98c5a24d067fd11a7e9f2329bca8835bf1e1f.tar.gz
aports-b6c98c5a24d067fd11a7e9f2329bca8835bf1e1f.tar.bz2
aports-b6c98c5a24d067fd11a7e9f2329bca8835bf1e1f.tar.xz
main/py-sphinx: upgrade to 1.3.1
Diffstat (limited to 'main/py-sphinx/APKBUILD')
-rw-r--r--main/py-sphinx/APKBUILD55
1 files changed, 16 insertions, 39 deletions
diff --git a/main/py-sphinx/APKBUILD b/main/py-sphinx/APKBUILD
index dedee306cb..3f765220e5 100644
--- a/main/py-sphinx/APKBUILD
+++ b/main/py-sphinx/APKBUILD
@@ -1,23 +1,22 @@
-# Contributor: Matt Smith <mcs@darkregion.net>
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
# Maintainer: Matt Smith <mcs@darkregion.net>
pkgname=py-sphinx
-_pkgname=Sphinx
-pkgver=1.2.3
+pkgver=1.3.1
pkgrel=0
pkgdesc="Python Documentation Generator"
url="http://sphinx.pocoo.org/"
arch="noarch"
license="BSD"
-depends="py-docutils py-jinja2 py-pygments py-setuptools"
-makedepends="python-dev py-setuptools"
+depends="py-docutils py-jinja2 py-pygments py-setuptools make py-six"
+depends_dev=""
+makedepends="$depends_dev"
install=""
-subpackages="$pkgname-doc"
-source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
-# Sphinx-1.1.3-fix_quoting_in_inheritance.patch
-# sphinx-docutils-0.10.patch"
+subpackages=""
+source="sphinx-$pkgver.tar.gz::https://github.com/sphinx-doc/sphinx/archive/$pkgver.tar.gz"
-_builddir="$srcdir"/$_pkgname-$pkgver
+_builddir="$srcdir"/sphinx-$pkgver
prepare() {
+ local i
cd "$_builddir"
for i in $source; do
case $i in
@@ -27,37 +26,15 @@ prepare() {
}
build() {
- cd "$_builddir"
- python setup.py build || return 1
+ cd "$_builddir"
+ python setup.py build || return 1
}
package() {
- cd "$_builddir"
- python setup.py install --prefix=/usr --root="$pkgdir" || return 1
-}
-
-doc() {
- cd "$_builddir"
-
- mkdir -p "$subpkgdir"/usr/share/doc/$pkgname || return 1
- for _doc in AUTHORS CHANGES EXAMPLES LICENSE README.rst TODO; do
- install -Dm644 $_doc "$subpkgdir"/usr/share/doc/$pkgname/ \
- || return 1
- done
-
- # Note: Documentation in the 'doc' directory (below), needs to be built
- # with sphinx-build once sphinx is installed (see README for details).
- #
- # Leaving as-is; will be up to the individual user that's interested.
- mkdir -p "$subpkgdir"/usr/share/doc/$pkgname/doc/ || return 1
- cp -R ./doc/* "$subpkgdir"/usr/share/doc/$pkgname/doc/ || return 1
- chmod -R 644 "$subpkgdir"/usr/share/doc/$pkgname/doc/ || return 1
-
- # Fix subdir perms
- find "$subpkgdir"/usr/share/doc/$pkgname/ -type d \
- -exec chmod 755 '{}' \; || return 1
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
-md5sums="a98c93124035b4cd7183604aec656cb3 Sphinx-1.2.3.tar.gz"
-sha256sums="94933b64e2fe0807da0612c574a021c0dac28c7bd3c4a23723ae5a39ea8f3d04 Sphinx-1.2.3.tar.gz"
-sha512sums="00346516e826a65145a3a7fd25ef7cee569ae7fdcc0c1bec3a7301fc08d5d8730d02eee792c3efedfcac17e712ea7e2ad70ea1fcdedc11720ad54f6bcb51ad05 Sphinx-1.2.3.tar.gz"
+md5sums="e3710992529e43160c6a24bc3caea50d sphinx-1.3.1.tar.gz"
+sha256sums="c334277227317aeb6f9516a74a5086565ac3743a018b63d3acf0645b437a3a2d sphinx-1.3.1.tar.gz"
+sha512sums="369e92fbdf2db2510167ae11eb1a1556a2ea5df1df984e85d52ff6e3fff616fbbe1706cec26ac0fc405240bfa4eedd4c9ae8f7b76316dfafb6d5f836ef9ea773 sphinx-1.3.1.tar.gz"